package com.mx.dla.dda.contrato.generales.enums;

public enum TipoMensaje {
	
	ERROR(0),
	EXITO(1);
	
	private int valor;
	
	TipoMensaje(int valor) {
		this.valor = valor;
	}
	
	public int getValor() {
		return valor;
	}
	
	public static TipoMensaje parse(int value) {
		TipoMensaje [] values = TipoMensaje.values();
		TipoMensaje target = null;
		
		for(TipoMensaje t : values) {
			if(t.getValor() == value){
				target = t;
				break;
			}
		}
		
		return target;
	}
	

}
